Subject: Re: B19 questions
From: [email-masked] (Ken Henderson)

7 Mar 1998 07:19:36 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

  > From [email-masked] Wed Mar  4 02:45:10 1998
  > Date: Tue, 03 Mar 1998 07:31:01 -0500
  > From: "John A. Turner" <[email-masked]>
  > To: GNU-Win32 <[email-masked]>
  > Subject: Re: B19 questions
  > 
  > Axel Riese wrote:
  > 
  > > I plan to upgrade to B19 in the next few days (and I'm really looking
  > > forward to doing this). So far I've only read the release notes and faq's,
  > > but some items are rather unclear to me at this point.
  > > 
  > > Maybe someone who already installed the new version could help me with the
  > > following problems:
  > > 
  > >    What about binary/text mounts ??? As far as I know, B19 comes with two
  > >    different shells, bash and sh (I guess sh is the default, e.g. for
  > >    make with MAKE_MODE=UNIX). Do they expect UNIX or DOS/Win like
  > >    shell scripts ? Is the mount stuff still stored in the registry ?
  > >    If so, how does CYGWIN32=[no]binmode work then ?
  > 
  > I'm quite confused about this as well.  I was expecting b19 to be like
  > coolview and require text=binary mounts, but unless I missed it, I
  > didn't notice anything in the release notes about this.  And indeed
  > mount now reports:
  > 
  > /$ mount
  > Device           Directory           Type        Flags
  > \\.\tape1:       /dev/st1            native      text!=binary
  > \\.\tape0:       /dev/st0            native      text!=binary
  > \\.\b:           /dev/fd1            native      text!=binary
  > \\.\a:           /dev/fd0            native      text!=binary
  > C:               /                   native      text!=binary
  > 
  > Can someone explain?
  > 
  > -John

  You can use !binary mounts but you won't get bash to read it's
  history file.  bash only reads a history file in unix format
  even though it writes it in dos format with !binary mounts.
  This is contrary to the FAQ:

  "By default, tools that deal with binaries (e.g. objdump) operate
   in unix binary mode and tools that deal with text files (e.g. bash)
   operate in text mode. "

   As far as I can tell, CYGWIN32=nobinmode (or binmode for that matter)
   have no affect on the bash history problem.  Just binary mounts
   fix it.

   Ken

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".